package com.flyfish.framework.domain.base;

import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.CreatedBy;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.annotation.LastModifiedBy;
import org.springframework.data.annotation.LastModifiedDate;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

/**
 * 需要审查的domain（修改和更新指定人）
 *
 * @author wangyu
 */
@Document
@Getter
@Setter
public abstract class AuditDomain extends Domain {

    /**
     * 创建日期
     */
    @CreatedDate
    protected Date createTime;

    /**
     * 修改日期
     */
    @LastModifiedDate
    protected Date modifyTime;

    /**
     * 创建者
     */
    @CreatedBy
    protected String creator;

    /**
     * 创建人id
     */
    protected String creatorId;

    /**
     * 修改者
     */
    @LastModifiedBy
    protected String modifier;

    /**
     * 修改人id
     */
    protected String modifierId;
}
